
#include <math.h>

#include "estad.h"

double desviacion (int vec[], int tam)
{
  int i;
  double h, n, ac1, ac2, sigm;
  ac1 = 0; ac2 = 0; n = 0;
  for (i=0; i < tam; i++){
    h = vec [i] ;
    ac1 += h ;
    ac2 += h * h ;
    }
  n = tam ;
  sigm = sqrt ((ac2/n) -((ac1/n)*(ac1/n))) ;
  return sigm ;
}

double promedioD (int vec[], int tam)
{
  int i;
  int  ac;
  double  acd, tamd;
  ac = 0;
  for (i=0; i < tam; i++){
    ac += vec [i] ;
    }
  acd = ac;
  tamd = tam;
  return acd/tamd ;
}

double maximoD (int vec[], int tam)
{
  double d;
  d = maxv (vec, tam);
  return d;
}

double mediaH (int vec[], int tam)
{
  int i;
  double  ac, acx;
  ac = 0;
  acx = 0;
  for (i=0; i < tam; i++){
    ac += vec [i] ;
    acx += vec [i] * i ;
    }
  return acx/ac ;
}

int maxv (int m[], int v)
{
  int mx, i;
  mx = m[0];
  if (v == 1)
    return mx;
  for (i=1; i<v; i++)
     if (m[i] > mx) mx=m[i];
  return mx;
}

int minv (int m[], int v)
{
  int mn, i;
  mn = m[0];
  if (v == 1)
    return mn;
  for (i=1; i<v; i++)
     if (m[i] < mn) mn=m[i];
  return mn;
}

int minv3 (int m[], int c0, int c1)
{
  int mn, i;
  mn = m[c0];
  if (c0 == c1)
    return mn;
  for (i=c0+1; i<=c1; i++)
     if (m[i] < mn) mn=m[i];
  return mn;
}

int prom (int m[], int v)
{
  int ac, i;
  ac = 0;
  for (i=0; i<v; i++)
     ac += m[i] ;
  return ac / v;
}

int posmaxv (int m[], int v)
{
  int mx, i, imx;
  imx = 0;
  mx = m[0];
  if (v == 1)
    return imx;
  for (i=1; i<v; i++)
     if (m[i] > mx){
       mx=m[i];
       imx = i;
       }
  return imx;
}

int posmaxv2 (int m[], int v, int i0)
{
  int mx, i, imx;
  imx = i0;
  mx = m[i0];
  if (v == 1)
    return imx;
  for (i=1; i<v; i++)
     if (m[i+i0] > mx){
       mx=m[i+i0];
       imx = i+i0;
       }
  return imx;
}

int posminv (int m[], int v)
{
  int mn, i, imn;
  imn = 0;
  mn = m[0];
  if (v == 1)
    return imn;
  for (i=1; i<v; i++)
     if (m[i] < mn){
       mn=m[i];
       imn = i;
       }
  return imn;
}

int posminv3 (int m[], int c0, int c1)
{
  int mn, i, imn;
  imn = c0;
  mn = m[c0];
  if (c0 == c1)
    return imn;
  for (i=c0+1; i<=c1; i++)
     if (m[i] < mn){
       mn=m[i];
       imn = i;
       }
  return imn;
}

int acum (int m[], int v)
{
  int ac, i;
  ac = 0;
  if (v>0)
    for (i=0; i<v; i++)
       ac += m[i] ;
  return ac ;
}

int pend (int m[], int v)
{
  return (m[v-1] - m[0])/(v-1);
}
