
#include "base.h"
#include "imag.h"

#ifndef _GLIFOS_H
#define _GLIFOS_H

enum {glifCar, glifBlan, glifClin, glifNul, glifArtf, glifSecuen,
      glifCompPal, glifCompLin, glifCompClmp};
    /* si se cambia, revisar glifoCompuesto() en glifo.c */

enum {reconNulo, reconComp, reconId3ft, reconPreg, reconMisc};

typedef struct teglifo{
  int tipo;
  char * letras;
  struct tevent * venDeGlifo;
  struct teglifo * glifBase;
  struct telistadglifo * listaGlifos;
  int base, alturax;
  int lizq, lder;
  int recon;
  } * tglifo;

typedef struct tenodolglifo{
  struct tenodolglifo *anterior, *siguiente;
  struct teglifo *aglifo;
  } * tnodolglifo;

typedef struct telistadglifo{
  tnodolglifo primero, ultimo;
  } * tlistadglifo;
#endif

Boolean glifoCompuesto (tglifo glifo);

tglifo duplicaGlifo (tglifo glifo);

tglifo glifoClinNuevo ();

tglifo glifoBlanNuevo ();

tglifo glifoLetNuevo (char *let);

void ponLetGlifo (tglifo glifo, char *let);

tglifo glifoCompPalNuevo ();

tglifo glifoCompLinNuevo ();

tglifo glifoCompClmpNuevo ();

void casaGlifoVent (tglifo glifo, tvent vent);

void adoptaGlifo (tglifo glifop, tglifo glifoh);

void ponpadreGlifo (tglifo glifop, tglifo glifoh);

tlistadglifo listadglifoNueva ();

void aniadeGlifoacomlista (tlistadglifo ldglifo, tglifo glifo);

void aniadeGlifoafinlista (tlistadglifo ldglifo, tglifo glifo);

void aniadeGlifoalistaAntes (tlistadglifo ldglifo, tglifo glifo, tnodolglifo nodolGlifo);

void eliminaNGlifodelista (tlistadglifo ldglifo, tnodolglifo nodolGlifo);

void escribePalabrasdeGlifosenLista (tlistadglifo ldglifo);

void escribeLetrasdeGlifosenLista (tlistadglifo ldglifo);

void escribeEnFnomLetrasdeGlifosenLista (char *nf, tlistadglifo ldglifo);

void alineamientoNormalizado (int *dyNorm, int *dy2Norm, int *tyNorm, tglifo glifo);

void escribeVentanasdeGlifosenLista (tlistadglifo ldglifo, char *ndir);


