
#ifndef _LISTA_H
#define _LISTA_H

#include "base.h"

typedef void * tpgen;

typedef struct nodol{
  struct nodol *anterior, *siguiente;
  tpgen aitem;
  } * tnodol;

typedef struct lista{
  tnodol primero, ultimo;
  } * lista;

lista listaNueva ();

Boolean listaVacia (lista l);

void aniadeacomlista (lista l, tpgen g );

void aniadeafinlista (lista l, tpgen g );

void aniadealistaAntes (lista l, tpgen g , tnodol nodol);

void eliminaNdelista (lista l, tnodol nodol);

void recorreListaAplicando (lista l, void fn(tpgen));

int longLista (lista l);

tnodol enesimoNodoDeLista (lista l, int n);

#endif /* _LISTA_H */

