
#include <stdarg.h>
#include <string.h>

void listaAarray (char *** na, int n, ...)
{
  va_list arg_p;
  char ** a;
  int i;
  a = (char **) malloc ((n+1) * sizeof (char *));
  va_start(arg_p, n);
  for (i=0; i<n; i++)
    a[i] = va_arg(arg_p, char *);
  va_end(arg_p);
  a[n] = (char *) 0L;
  *na = a;
}

void listaAarrayConcopia (char *** na, int n, ...)
{
  va_list arg_p;
  char ** a;
  int i;
  a = (char **) malloc ((n+1) * sizeof (char *));
  va_start(arg_p, n);
  for (i=0; i<n; i++)
    a[i] = strdup(va_arg(arg_p, char *));
  va_end(arg_p);
  a[n] = (char *) 0L;
  *na = a;
}

void condensaArrayAcumInt (int * acon, int * a, int na, int fc)
{
  int i, j, iul, jul;
  iul = na - 1;
  jul = iul / fc;
  for (j=0; j <= jul; j++)
    acon [j] = 0;
  for (i=0; i <= iul; i++)
    acon[i/fc] += a[i];
}
