
#include <libintl.h>
#include <locale.h>
#define _(mens) gettext(mens)
#define N_(mens) (mens)

#include <stdio.h>
#include <gtk/gtkmain.h>

#include "id3/arbolesid3.h"
#include "arbolesOcre.h"
#include "errors.h"
#include "grises.h"
#include "imag.h"
#include "imagio.h"
#include "imagx.h"
#include "inclina.h"
#include "line.h"
#include "nombresGlif.h"
#include "opcns.h"
#include "parecido.h"
#include "pinta.h"
#include "reconoce.h"
#include "repasa.h"
#include "segmenta.h"
#include "tarea.h"
#include "tfd2d.h"


extern int optind;

void iniciaModulos (int argc, char **argv)
{
  setlocale (LC_ALL, "");
  bindtextdomain("p1", "/usr/share/locale");
  textdomain ("ocre");
  /**/
  gtk_init (&argc, &argv);
  lglmuestra = listadglifoNueva ();
  misopc (argc, argv);
  leeArboles (a_valor);
  leeArbolesCur ("/usr/share/ocre/decsWoodCur");
  leeTu2iNombresGlif (a_valor);
}



void segmReconoceyRepasaColumnaP (tglifo * nglifoColumnaP, tvent vent)
{
  tglifo glifoColumnaP;
  segmentaColumnaP (vent);
  glifoColumnaP = glifoCompClmpNuevo ();
  casaGlifoVent (glifoColumnaP, vent);
  reconoceColumnaP (glifoColumnaP);
/***/
  repasaColumnaP (glifoColumnaP);
/**/
  escribeLetrasdeGlifosenLista (glifoColumnaP->listaGlifos);
  *nglifoColumnaP = glifoColumnaP;
}

int main (int argc, char **argv)
{
  timagf imag;
  tvent vent = (tvent) 0L;
  tglifo glifoColumnaP;
  iniciaModulos (argc, argv);
  if (optind != (argc-1)){
    printf (_("%s: missing the image file\n"), argv[0]);
    exit (1);
    }
    leeImagen (& imag, argv[optind]);
    vent = imag->ven0;
  segmReconoceyRepasaColumnaP ( &glifoColumnaP, vent);
  return 0 ;
}
