
#include <stdio.h>
#include <unistd.h>
#include <sys/wait.h>
/*
#include <sys/types.h>
*/

#include "misc.h"

void tarea (int *nh, char * fej, char ** argv, char ** env)
{
  int res;
  extern int errno;
  int n;
  n = fork () ;
  if ( n == 0) {
    res =  execve (fej, argv, env);
    printf ("tarea %s: res %d errno %d \n", fej, res, errno);
    exit (1);
    }
  *nh = n;
}

void tareaGnuplot (int *nnh, char *nfi, char * geom)
{
  char ** argv_gnuplot;
  static char  * env2 [] = {"DISPLAY=:0.0", (char *)0L };
  listaAarray (&argv_gnuplot, 4, "gnupot", "-geometry", geom, nfi);
  tarea (nnh, "/usr/bin/gnuplot", argv_gnuplot, env2) ;
}

void para ()
{
  while (1) ;
}

void espera (int n)
{
  int nh;
  int resul;
/*
  for ( ; n != wait (&resul); )
    {
      printf (" 4\n");
    }
*/
  nh = 0;
  while (nh != n) {
    nh = wait (&resul);
    }
}

void termina (int n)
{
  espera (n);
  exit (0);
}
