
#include <string.h>

#include "arbid.h"
#include "lineaCar.h"
#include "sal1id3pr.h"
#include "arbolesid3.h"


escribePropuestas (tppropues lprop, int nprp)
{
  int i;
  if (nprp > 0) {
    for (i=0; i<nprp; i++)
      printf ("%2d %2d %2d %2d %s\n",
               lprop[i].narb,
               lprop[i].res[1], lprop[i].res[0], lprop[i].res[2],
               lprop[i].nombre);
    }
  else
    printf ("--\n") ;
}

main (int argc, char ** argv)
{
  char nom[80];
  int nl, nc;
  int l;
  int ncleidos;
  int lv[2000];
  struct tpropues lprop [20];
  int nprp;
  leeArboles ("/usr/share/ocre/decsWood") ;
  ncleidos = scanf ("%d %d", &nc, &nl);
  if (ncleidos == 0)  {
    printf ("id3pr5: error leyendo el tamao\n");
    exit (1);
    }
  for (l=0; l<nl; l++) {
    leeLinea (l, nc, nom, lv, argv[0]);
    clasificaConArboles (lv, lprop, 6, &nprp);
    printf ("%s\n", nom);
    escribePropuestas (lprop, nprp); 
    printf ("\n");
    }
}
