
#include "entropia.h"
#include "sal1id3pr.h"

void calculosYsalidaBase (int nar, int * c0, int * c1, int umb)
{
  float ente, ents;
  int i;
  int s00, s01, s10, s11;
  int c0t, c1t;
  s00 = s01 = s10 = s11 = 0;
  c0t = c1t = 0;
  for (i=0; i<=nar; i++) {
    if (i>=umb)  s11 += c1[i];  else s10 += c1[i]; 
    if (i>=umb)  s01 += c0[i];  else s00 += c0[i]; 
    c0t += c0[i];
    c1t += c1[i];
    }
  ente = entropia (c0t, c1t);
  ents = entropia (s11, s10) + entropia (s01, s00);
/**/
  for (i=0;i<nar;i++)printf("   "); printf(" f==SI");
  for (i=0;i<nar;i++)printf("      "); printf(" f==NO\n");
  printf (" a==NO");
  for (i=1; i<nar;  i++) printf (" a== %1d", i);
  printf (" a==SI a==NO");
  for (i=1; i<nar;  i++) printf (" a== %1d", i);
  printf (" a==SI  e.e     e.s\n");
  for (i=0; i<=nar; i++) printf (" ----- -----");
  printf (" ====.== ====.==\n");
  for (i=0; i<=nar; i++) printf (" %5d",c1[i]) ;
  for (i=0; i<=nar; i++) printf (" %5d",c0[i]) ;
  printf (" %7.2f %7.2f\n", ente, ents);
}

void calculosYsalida (int nar, int * c0, int * c1)
{
  int umb;
  umb = (nar + 1) / 2;
  if (nar == 7)
    umb = 3 ;
  calculosYsalidaBase (nar, c0, c1, umb);
}
