
#ifndef _IMAG0_H
#define _IMAG0_H

#include "lista.h"

typedef struct teimagf{
  int tx, ty;
  int ngr;
  char * apixels;
  int ncom;
  char ** comen;
  int niv;
  struct teimagf * base;
  struct teimagf * red2;
  struct tevent *  ven0;
  char * nf;
  } * timagf;


typedef struct tevent{
  int tx, ty;
  int dx, dy;              /* desplazamiento en la imagen fisica */
  char ** pix;
  struct teimagf * imaBase;
  struct tevent *  venBase;
  struct tevvents * listaVint;
  lista lvint;
  struct teglifo * glifoDeVen;
  struct tcaracHistoGr * carHisGr;
  int * conv;
  int ktam;
  struct tevent *  venlimpia;
  int incl;
  int caracIncl [10];  /* caracteristicas de inclinacion para corte
			                      de palabras cursivas */
  } * tvent;

typedef struct tevvents{
  int n;
  tvent * ventanas;
  } * tvvents;

#include "grises0.h"

             /* tamanyo maximo vertical de la hoja en pixsel */
#define MAXPIXV 4000

             /* tamanyo maximo horizontal de la hoja en pixsel */
#define MAXPIXH 4000

             /* longitud maxima de una linea de comentarios, en caracteres */
#define MAXCOM 1000

            /* maximo de lineas de comentario de la imagen */
#define MAXNLCOM 1000

#endif /* _IMAG0_H */
