
#include <stdlib.h>

#include "lista.h"

tnodol nodolNuevo (tpgen g)
{
  tnodol nnodol;
  nnodol = (tnodol) malloc (sizeof(struct nodol));
  nnodol->aitem = g ;
  nnodol->siguiente = (tnodol) 0L;
  nnodol->anterior  = (tnodol) 0L;
  return nnodol ;
}

lista listaNueva ()
{
  lista nlista;
  nlista = (lista) malloc (sizeof(struct lista));
  nlista->primero = (tnodol) 0L;
  nlista->ultimo  = (tnodol) 0L;
  return nlista ;
}

Boolean listaVacia (lista l)
{
  return l->primero == (tnodol) 0L ;
}

void aniadeacomlista (lista l, tpgen g )
{
  tnodol nnodol;
  nnodol = nodolNuevo (g);
  if (l->primero == (tnodol) 0L) {
    l->primero = nnodol ;
    l->ultimo  = nnodol ;
    }
  else {
    nnodol->siguiente    = l ->primero ;
    l->primero->anterior = nnodol ;
    l->primero           = nnodol ;
    }
}

void aniadeafinlista (lista l, tpgen g )
{
  tnodol nnodol;
  nnodol = nodolNuevo (g);
  if (l->primero == (tnodol) 0L) {
    l->primero = nnodol ;
    l->ultimo  = nnodol ;
    }
  else {
    nnodol->anterior     = l ->ultimo ;
    l->ultimo->siguiente = nnodol ;
    l ->ultimo           = nnodol ;
    }
}

void aniadealistaAntes (lista l, tpgen g , tnodol nodol)
{
  if (l->primero == nodol)
    aniadeacomlista (l, g);
  else {
    tnodol nnodol;
    nnodol                     = nodolNuevo (g);
    nnodol->siguiente          = nodol ;
    nnodol->anterior           = nodol->anterior;
    nodol->anterior->siguiente = nnodol;
    nodol->anterior            = nnodol;
  }
}

void eliminaNdelista (lista l, tnodol nodol)
{
  tnodol nodoantes, nododespues;
  if (l->primero == nodol)
    if (l->ultimo == nodol) {
      l->primero = 0L;
      l->ultimo  = 0L;
      }
    else
      l->primero = l->primero->siguiente;
  else
    if (l->ultimo == nodol)
      l->ultimo = l->ultimo->anterior;
    else {
      nodoantes   = nodol->anterior;
      nododespues = nodol->siguiente;
      nodoantes->siguiente  = nododespues;
      nododespues->anterior = nodoantes;
      }
}

void recorreListaAplicando (lista l, void fn(tpgen))
{
  tnodol nodol;
  for (nodol = l->primero; nodol != 0L;nodol = nodol->siguiente) {
    fn (nodol->aitem);
    }
}

int longLista (lista l)
{
  int i=0;
  tnodol nodol;
  for (nodol = l->primero; nodol != 0L;nodol = nodol->siguiente) {
    i++ ;
    }
  return  i ;
}

tnodol enesimoNodoDeLista (lista l, int n)
{
  int i;
  tnodol nodol;
  i = 1;
  nodol = l->primero;
  while ((i < n) && (nodol != (tnodol)0L)){
    i++;
    nodol = nodol->siguiente;
    }
  return nodol;
}
