
#include <gtk/gtk.h>
#include <signal.h>
#include <stdio.h>
#include <sys/wait.h>
#include <unistd.h>

#include "arbolesOcre.h"
#include "base.h"
#include "caracteris.h"
#include "glifos.h"
#include "imag.h"
#include "imagx.h"
#include "inclfont.h"
#include "interface.h"
#include "nombresGlif.h"
#include "opcns.h"
#include "parecido.h"
#include "pixmap.h"
#include "segmenta.h"
#include "tfd2d.h"

#include "id3/arbolesid3.h"

void migets (int fd, char *s)
{
  int i;
  i = 0;
  while ((i==0) ||
         ((s[i-1] != '\n') && (i < 128))){  
    read (fd, & s[i], 1);
    i++ ;
    }
  s [i-1] = '\0';
}

tvent ventPreg;

static int prim = 0;
static GtkWidget *window1;
extern char de_entry[];

static int npregs=0; 

int cuantasPreguntas ()
{
  return npregs ;
}

void presentayPregunta (char *resp, tvent vent, char *nf)
{
  ventPreg = vent;
  if (prim == 0) {
    window1 = create_window1 ();
    gtk_widget_show (window1);
    gtk_main ();
    prim ++ ;
    }
  else {
    configureRep ();
    gtk_main ();
    }
  strcpy (resp, de_entry) ; 
  npregs ++;
  if (d_valori >= 1)
    printf ("presentayPregunta %s\n", resp) ;
}

void presentayPregunta2 (char *resp, tvent vent, char *nf)
{
  int nh;
  int resul;
  /**/
  presentaVentana (&nh, vent, nf, 3);
/*
  gets (resp);
*/
  migets (0, resp) ;
  kill (nh, 9);
  wait (&resul);
  if (d_valori >= 1)
    printf ("presentayPregunta %s\n", resp) ;
}

void trazaReconoceId3 (char *nproced, int nprp, struct tpropues *lprop)
{
  if (d_valori >= 2)
    printf ("ocre: %s\n", nproced);
  if (d_valori >= 4) {
    printf ("%2d", nprp);
    if (nprp == 1)
      printf (" %s", lprop[0].nombre);
    printf ("\n");
    }
}

int reconoceId3Rect (char * buf, tvent vent)
{
  tmatcomplejo m;
  int crct[400] ;
  struct tpropues lprop [20];
  int nprp;
  char buf0[128];
  int dyNorm, dy2Norm, tyNorm;
  transfVent0 (&m, vent);
  alineamientoNormalizado (&dyNorm, &dy2Norm, &tyNorm, vent->glifoDeVen);
  caracterist (crct, m, 5, 5, vent->tx, vent->ty, dyNorm, dy2Norm, tyNorm);
  if (d_valori >=5) {
    escribeCaracteristicas (crct, 5, 5);
    }
  liberaMatrizComplejo (m, /* vent->ty */ 200);
  clasificaConArboles (crct, lprop, 6, &nprp);
  if (nprp == 1) {
    strcpy (buf0,  &(lprop[0].nombre[6]));
    cuAci (buf0, buf);
    }
  trazaReconoceId3 ("reconoceId3Rect", nprp, lprop);
  return (nprp == 1);
}

int reconoceId3InclLimp (char * buf, tvent vent)
{
  tmatcomplejo m;
  int crct[400] ;
  struct tpropues lprop [20];
  int nprp;
  char buf0[128];
  int dyNorm, dy2Norm, tyNorm;
  tvent ventl;
  int fondo;
  tdcaracHistoGr carHisGr;
  carHisGr = carhisgrDeVentana (vent);
  fondo = carHisGr->xblanco ;
  ventanaLimpDeVentanaIncl (&ventl, vent, fondo);
  transfVent0 (&m, ventl);
  alineamientoNormalizado (&dyNorm, &dy2Norm, &tyNorm, vent->glifoDeVen);
  caracterist (crct, m, 5, 5, vent->tx, vent->ty, dyNorm, dy2Norm, tyNorm);
  if (d_valori >=5) {
    escribeCaracteristicas (crct, 5, 5);
    }
  liberaMatrizComplejo (m, /* vent->ty */ 200);
  clasificaConArbolesCur (crct, lprop, 6, &nprp);
  if (nprp == 1) {
    strcpy (buf0,  &(lprop[0].nombre[6]));
    cuAci (buf0, buf);
    }
  trazaReconoceId3 ("reconoceId3InclLimp", nprp, lprop);
  return (nprp == 1);
}

int reconoceId3InclEnder (char * buf, tvent vent)
{
  tmatcomplejo m;
  int crct[400] ;
  struct tpropues lprop [20];
  int nprp;
  char buf0[128];
  int dyNorm, dy2Norm, tyNorm;
  tvent ventr;
  ventanaVertDeVentanaIncl (&ventr, vent);
  transfVent0 (&m, ventr);
  alineamientoNormalizado (&dyNorm, &dy2Norm, &tyNorm, vent->glifoDeVen);
  caracterist (crct, m, 5, 5, vent->tx, vent->ty, dyNorm, dy2Norm, tyNorm);
  if (d_valori >=5) {
    escribeCaracteristicas (crct, 5, 5);
    }
  liberaMatrizComplejo (m, /* vent->ty */ 200);
  clasificaConArboles (crct, lprop, 6, &nprp);
  if (nprp == 1) {
    strcpy (buf0,  &(lprop[0].nombre[6]));
    cuAci (buf0, buf);
    }
  trazaReconoceId3 ("reconoceId3InclEnder", nprp, lprop);
  return nprp == 1 ;
}

int reconoceId3Incl (char * buf, tvent vent)
{
/**/
  if (reconoceId3InclLimp (buf, vent))
    return TRUE ;
  else
    return reconoceId3InclEnder (buf, vent);
/** /
  if (reconoceId3InclEnder (buf, vent))
    return TRUE ;
  else
    return reconoceId3InclLimp (buf, vent);
/ **/
/** /
    return reconoceId3InclEnder (buf, vent);
/ **/
}

int reconoceId3 (char * buf, tvent vent)
{
  if (vent->incl == 0)
    return reconoceId3Rect (buf, vent);
  else  /* tvent->incl != 0 */
    return reconoceId3Incl (buf, vent);
}

void reconoceChar (tglifo glifoChar, int nivq)
{
  int reconocido;
  char resp [128];
  tglifo glifoParecido;
  tvent vent;
  vent    = glifoChar->venDeGlifo;
  reconocido = FALSE;
  if ( !reconocido ) {
    if (vent->ty == 0 || vent->tx ==0) {
      reconocido = TRUE;
      glifoChar->tipo  = glifArtf;
      glifoChar->recon = reconMisc;
      }
    }
  if ( !reconocido ) {
    if ( reconoceId3 (resp, vent)) {
      reconocido = TRUE;
      ponLetGlifo (glifoChar, resp);
      glifoChar->recon = reconId3ft ;
      aniadeGlifoafinlista (lglmuestra, glifoChar);
      }
    }
  if ( !reconocido ) {
    if ( parecidoAntes (&glifoParecido, vent) ) {
      reconocido = TRUE;
      ponLetGlifo (glifoChar, glifoParecido->letras);
      glifoChar->recon = reconComp ;
      }
    }
/**/
  if (q_valori >= nivq) {
    if ( !reconocido ) {
      presentayPregunta (resp, vent, "sal22.pgm");
      ponLetGlifo (glifoChar, resp);
      glifoChar->recon = reconPreg ;
      aniadeGlifoafinlista (lglmuestra, glifoChar);
      reconocido = TRUE;
      }
    }
/**/
  if ( !reconocido ) {
    strcpy (resp, "_");
    ponLetGlifo (glifoChar, resp);
    reconocido = TRUE;
    }
/**/
}

int espacioEntreVentanas (tvent ventAnt, tvent ventSig)
{
  int xuAntSup, xuAntInf, xpSigSup, xpSigInf;
  int dsup, dinf ;
  if (ventAnt->incl >= 0) {
    xuAntSup = ventAnt->tx - 1 - inclf_desvx(ventAnt->incl, ventAnt->ty - 1) ;
    xuAntInf = ventAnt->tx - 1 ;
    }
  else /* ventAnt->incl < 0 */ {
    xuAntSup = ventAnt->tx - 1 ;
    xuAntInf = ventAnt->tx - 1 + inclf_desvx(ventAnt->incl, ventAnt->ty - 1) ;
    }
  if (ventSig->incl >= 0) {
    xpSigSup = 0 ;
    xpSigInf = inclf_desvx(ventSig->incl, ventSig->ty - 1) ;
    }
  else /* ventSig->incl < 0 */ {
    xpSigSup = - inclf_desvx(ventSig->incl, ventSig->ty - 1) ;
    xpSigInf = 0 ;
    }
  dsup = (ventSig->dx - ventAnt->dx) + xpSigSup - xuAntSup - 1;
  dinf = (ventSig->dx - ventAnt->dx) + xpSigInf - xuAntInf - 1;
  return min(dsup, dinf) ;
}

void aniadeQuizaBlanco (tlistadglifo ldglifo, tvent ventAnt, tvent ventSig, int altura)
{
  int espacio;
  if ((ventAnt->incl == 0) & (ventSig->incl == 0))
    espacio = ventSig->dx - ventAnt->dx - ventAnt->tx ;
  else  /* (ventAnt->incl != 0) | (ventSig->incl != 0) */
    espacio = espacioEntreVentanas (ventAnt, ventSig) ;
  if (espacio > (altura / 6) )
    aniadeGlifoafinlista (ldglifo, glifoBlanNuevo ());
}

void reconocePalabra (tglifo glifoLinea)
{
  tnodol nodol;
  lista caracteres;
  tvent vent;
  tglifo glifoChar;
  tlistadglifo ldglifo;
  ldglifo = glifoLinea->listaGlifos;
  vent    = glifoLinea->venDeGlifo;
  /*
  lineasBase (&(glifoLinea->base), &(glifoLinea->alturax), vent);
  */
  caracteres = vent->lvint;
  for (nodol = caracteres->primero; nodol != (tnodol)0L; nodol = nodol->siguiente){
    tvent ventcar;
    ventcar = (tvent) nodol->aitem;
    glifoChar = glifoLetNuevo ("0?");
    adoptaGlifo (glifoLinea, glifoChar);
    casaGlifoVent (glifoChar, ventcar);
    reconoceChar (glifoChar, 5);
/** /
    if ((i==0) & (glifoChar->letras[0] != 'W')   
               & (glifoChar->letras[0] != 'w')) {
      glifoLinea->base    =  glifoChar->venDeGlifo->ty +
                             glifoChar->venDeGlifo->dy -
                             glifoLinea->venDeGlifo->dy ;
      glifoLinea->alturax =  (glifoChar->venDeGlifo->ty * 8)/ 22 +
                             glifoChar->venDeGlifo->dy -
                             glifoLinea->venDeGlifo->dy ;
      }
/ **/
    }
}

void reconoceLinea (tglifo glifoLinea)
{
  tnodol nodol;
  lista palabras;
  tvent vent;
  tglifo glifoPal;
  tlistadglifo ldglifo;
  ldglifo = glifoLinea->listaGlifos;
  vent    = glifoLinea->venDeGlifo;
  lineasBase (&(glifoLinea->base), &(glifoLinea->alturax), vent);
  palabras = vent->lvint;
  for (nodol = palabras->primero; nodol != (tnodol)0L; nodol = nodol->siguiente) {
    tvent ventpal;
    ventpal = (tvent) nodol->aitem;
    glifoPal = glifoCompPalNuevo ();
    adoptaGlifo (glifoLinea, glifoPal);
    casaGlifoVent (glifoPal, ventpal);
    reconocePalabra (glifoPal);
    if (nodol != palabras->ultimo)
      aniadeGlifoafinlista (ldglifo, glifoBlanNuevo ());
/*
      aniadeQuizaBlanco (ldglifo, palabras[i], palabras[i+1], vent->ty);
*/
    }
  aniadeGlifoafinlista (ldglifo, glifoClinNuevo ());
/*
*/
}

void reconoceColumnaP (tglifo glifoColumnaP)
{
  tnodol nodoprim, nodoult, nodocom, nodofin;
  tnodol nodol;
  tvent vent;
  tglifo glifoLinea;
  vent = glifoColumnaP->venDeGlifo;
  nodoprim = vent->lvint->primero ;
  if (longLista(vent->lvint)>2) {
    if ( ((tvent)nodoprim->aitem)->dy == 0){
      nodocom = nodoprim->siguiente;
      }
    else
      nodocom = nodoprim;
    nodoult = vent->lvint->ultimo;
    if ( ( ((tvent)nodoult->aitem)->dy +
           ((tvent)nodoult->aitem)->ty  ) ==
                                     vent->ty ) {
      nodofin = nodoult->anterior;
      }
    else
      nodofin = nodoult;
    }
  else {
    nodocom = nodoprim;
    nodofin = nodoult;
    }
  for (nodol = nodocom; nodol != nodofin->siguiente; nodol = nodol->siguiente) {
    glifoLinea = glifoCompLinNuevo ();
    adoptaGlifo (glifoColumnaP, glifoLinea);
    casaGlifoVent (glifoLinea, (tvent) nodol->aitem);
    }
  {
  tnodolglifo nodolGlifo;
  nodolGlifo = glifoColumnaP->listaGlifos->primero;
  while (nodolGlifo !=  0L) {
    reconoceLinea (nodolGlifo->aglifo);
    nodolGlifo = nodolGlifo->siguiente;
    }
  }
}
