
#include "imag.h"
#include "imagio.h"
#include "tfd2d.h"
#include "caracteris.h"
#include "opcns.h"

extern int optind;

/*
void escribeCaracteristicas0 (tmatcomplejo m, int nx, int ny)
{
  int crct[400];
  int i, itam;
  itam = ((nx+1)*(ny+1)-1)*3;
  caracteristTfd (crct, m, nx, ny);
  for (i=0; i<itam; i++)
    printf ("%3d ", crct[i]);
  printf ("\n") ;
}
*/

void obtenyEscribeCaracteristicas (tmatcomplejo m, int nx, int ny,
                              int tx, int ty,
                              int dyN, int dy2N, int tyN)
{
  int crct[400];
  caracterist (crct, m, nx, ny, tx, ty, dyN, dy2N, tyN);
  escribeCaracteristicas (crct, nx, ny);
}

main (int argc, char **argv)
{
  tmatcomplejo m;
  timagf imag;
  misopc (argc, argv);
  if (optind != (argc-1)){
    printf ("%s: de el fichero de imagen\n", argv[0]);
    exit (1);
    }
  leeImagen (& imag, argv[optind]);
  transfVent0 (& m, imag->ven0);
  if (d_valori >= 2) {
    escribe1tr (m, 5, 5);
    }
/*
  escribeCaracteristicas0 (m, 5, 5);
*/
  obtenyEscribeCaracteristicas (m, 5, 5, imag->tx, imag->ty,
                           valorintEncomImagen ("dyNorm=",  imag),
                           valorintEncomImagen ("dy2Norm=", imag),
                           valorintEncomImagen ("tyNorm=",  imag)   );
}

